﻿
.white {
    color: #FFF;
}

.blue {
    color: var(--color-blue)
}

.green {
    color: var(--color-green)
}

.yellow {
    color: var(--color-yellow);
}


.yellow {
    color: var(--color-yellow);
}

.red {
    color: var(--color-red);
}

.dark {
    color: var(--color-darkgray);
}

.border-blue {
    border-color: var(--color-blue) !important
}

.border-green {
    border-color: var(--color-green) !important
}

.border-yellow {
    border-color: var(--color-yellow) !important
}

.border-red {
    border-color: var(--color-red) !important
}

.border-dark {
    border-color: var(--color-darkgray) !important
}

.bg-white {
    background: #fff !important;
    border: 1px solid #fff !important;
    color: #73879C
}

.bg-green {
    background: var(--color-green) !important;
    border: 1px solid var(--color-green) !important;
    color: #fff
}

.bg-yellow {
    background: var(--color-yellow) !important;
    border: 1px solid var(--color-yellow) !important;
    color: #fff
}

.bg-red {
    background: var(--color-red) !important;
    border: 1px solid var(--color-red) !important;
    color: #fff
}

.bg-blue {
    background: #07373b !important;
    border: 1px solid #07373b !important;
    color: #fff
}

.bg-blue-sky {
    background: var(--color-blue) !important;
    border: 1px solid var(--color-blue) !important;
    color: #fff
}

.bold {
    font-weight: 600 !important;
}

.bolder {
    font-weight: 900 !important;
}

.font-xl {
    font-size: 18px !important;
}

.font-xxl {
    font-size: 20px !important;
}

.font-l {
    font-size: 16px !important;
}

/*Container */

@media (min-width: 576px) {
    .container {
        max-width: 100%;
    }
}

@media (min-width: 768px) {
    .container {
        max-width: 100%;
    }
}

@media (min-width: 992px) {
    .container {
        max-width: 100%;
    }
}

@media (min-width: 1200px) {
    .container {
        max-width: 100%;
    }
}

/* Logo Sidebar */

/*.nav-md .image-lg {
    display: block;
}*/

.nav-md .image-sm {
    display: none;
}

.nav-sm .image-lg {
    display:none;
}

.nav-sm .image-sm {
    display: block;
}

@media (max-width: 991px) {
    .nav-sm .image-sm {
        display: none;
    }
    .nav-sm .image-lg {
        display: block;
        max-width: 90%;
        height:auto !important;
        margin: 0 auto;
    }
}

.scroll-view {
    overflow-y: scroll;
}
    .scroll-view::-webkit-scrollbar {
        width: 1px;
    }

    .scroll-view::-webkit-scrollbar-track {
        box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.0);
    }

    .scroll-view::-webkit-scrollbar-thumb {
        background-color: darkgrey;
        outline: 1px solid slategrey;
    }

/* Custom NAV */
.custom-showsubmenu {
    position: absolute;
    right: 10px;
    top: 13px;
    z-index: 999;
}
.nav > li {
    position: relative;
    display: block;
}


#logoutFormBottom {
    

}


.video-guida {
    margin: 0 auto;
    text-align: center;
}
.video-guida iframe {
    width: 90%;
    /*height: auto;*/
    margin: 0 auto;
}

div.checkbox {
    float: left;
    margin-right: 10px;
}
.radio label, .checkbox label {
    padding-left: 0px;
}

.top-to-all {
    z-index:99999;
}

.btn.btn-nomargin {
    margin:0;
    border:0;
    padding:0;
}

.profile_info h3 {
    font-size: 12px;
    color: #ECF0F1;
    margin: 10px 0 0;
    font-weight: 300;
}



input.like-label, textarea.like-label {
    border: 0;
    padding: 0 0.75rem;
    margin: 0;
    width: 100px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.custom-ddl-disabled:disabled {
    background-color: #FFF;
    border: 0;
    box-shadow: none;
    cursor: auto;
    -moz-appearance: window;
    -webkit-appearance: none;
    background: #FFF; /* url("/images/arrow_down.png") right center no-repeat;*/
    padding-right: 20px;
}
select.custom-ddl-disabled::-ms-expand {
    display: none;
}
@-moz-document url-prefix() {
    .element-custom-ddl-disabled {
        background: #FFF; /* url("/images/arrow_down.png") right center no-repeat;*/
        padding-right: 20px;
    }
}

.scroll-x-content {
    overflow-x:auto;
}

.row-table-list {
    margin-bottom: 10px;
}

    .row-table-list > div {
        overflow-x: auto;
    }
.row-table-list-scroll {
    margin-bottom: 10px;
   /* overflow-x: auto;
    overflow-y: clip;*/
}

@media (max-width:500px) {

    .row-table-list > div {
        margin-right: 10px;
    }
}

@media (max-width:550px) {
    .mycustom-tabbar-scroll {
        display:block;
        overflow-x: auto !important;
        overflow-y:hidden !important;
        white-space: nowrap;
        overflow: initial;
    }
}


.mycustom-tabbar-scroll li {
    float:initial;
    display:inline-block;
    
}

label {
    margin-bottom:0;
}

/******* Custom Button *****/

.close:not(:disabled):not(.disabled):hover, .close:not(:disabled):not(.disabled):focus {
    opacity:1;
}

.btn {
    font-weight: 600;
}
.btn:hover {
    text-decoration:none;
}

.btn.btn-link {
    padding: 0.375rem;
}

.btn:focus {
    box-shadow: none;
}

.btn .material-icons {
    vertical-align: middle;
}

.btn-dark {
    color: #fff;
    background-color: var(--color-darkgray);
    border: 0;
}


    .btn-dark:active, .btn-dark.active,
    .btn-dark:hover, .btn-dark:active:focus {
        color: var(--color-blue);
        background-color: var(--color-lightgray);
        border: 0;
        box-shadow: initial;
    }


.btn-info {
    color: #fff;
    background-color: var(--color-blue);
    border: 0;
}


    .btn-info:active, .btn-info.active,
    .btn-info:hover, .btn-info:active:focus,
    .btn-info:not(:disabled):not(.disabled):active:focus {
        color: #FFF;
        background-color: var(--color-darkblue);
        border: 0;
        box-shadow: initial;
    }


.btn-light:active, .btn-light.active,
.btn-light:hover, .btn-light:active:focus {
    color: #FFF;
    background-color: var(--color-darkblue);
    border: 0;
    box-shadow: initial;
}

.btn-secondary {
    color: #FFF;
    background-color: var(--color-blue);
    border: 0;
}

    .btn-secondary:focus, .btn-secondary.focus {
        color: #fff;
        background-color: var(--color-darkblue);
        border: 0;
        box-shadow: none;
    }


    .btn-secondary:active, .btn-secondary.active,
    .btn-secondary:hover, .btn-secondary:active:focus,
    .btn-secondary:not(:disabled):not(.disabled):active, .btn-secondary:not(:disabled):not(.disabled).active,
    .btn-secondary:not(:disabled):not(.disabled):active:focus {
        color: #FFF; /*var(--color-lightgray);*/
        background-color: var(--color-darkerblue);
        border: 0;
        box-shadow: initial;
        box-shadow:none;
    }

    .btn-secondary:not(:disabled):not(.disabled):active, .btn-secondary:not(:disabled):not(.disabled).active, .show > .btn-secondary.dropdown-toggle {
        color: #FFF; /*var(--color-lightgray);*/
        background-color: var(--color-darkerblue);
        border:0;
    }



.btn-danger {
    color: #fff;
    background-color: var(--color-red);
    border: 0;
    border-radius:var(--border-radius);
}

    .btn-danger span.material-icons {
        vertical-align: middle;
    }


    .btn-danger:active, .btn-danger.active,
    .btn-danger:hover, .btn-danger:active:focus,
    .btn-danger:focus {
        color: #FFF;
        background-color: var(--color-darkred);
        border: 0;
        box-shadow: initial;
    }


.btn-outline-success {
    color: var(--color-red);
    border-color: var(--color-red);
}

    .btn-outline-success:hover {
        color: #fff;
        background-color: var(--color-red);
        border-color: var(--color-red);
    }

    .btn-outline-success:not(:disabled):not(.disabled):active:focus, .btn-outline-success:not(:disabled):not(.disabled).active:focus, .show > .btn-outline-success.dropdown-toggle:focus {
        box-shadow: none;
    }



.btn-success,
.btn-success:not(:disabled):not(.disabled):active {
    color: #fff;
    background-color: var(--color-green);
    border: 0;
    border-radius: var(--border-radius);
}

    .btn-success span.material-icons {
        vertical-align: middle;
    }


    .btn-success:active, .btn-success.active,
    .btn-success:hover, .btn-success:active:focus,
    .btn-success:focus, .btn-success:not(:disabled):not(.disabled):active:focus {
        color: #FFF;
        background-color: var(--color-darkgreen);
        border: 0;
        box-shadow: initial;
    }

.btn-outline-success {
    color: var(--color-green);
    border-color: var(--color-green);
}
    .btn-outline-success:hover {
        color: #fff;
        background-color: var(--color-green);
        border-color: var(--color-green);
    }
    .btn-outline-success:not(:disabled):not(.disabled):active:focus, .btn-outline-success:not(:disabled):not(.disabled).active:focus, .show > .btn-outline-success.dropdown-toggle:focus {
        box-shadow: none;
    }

.btn-select {
    color: var(--color-darkgray);
    background-color: var(--color-lightgray);
    border: 0;
    height: calc(1.5em + 0.75rem + 2px);
    padding: 0.375rem 1.1rem;
}
    .btn-select:active, .btn-select:hover, .btn-group.show .btn-select {
        background-color: var(--color-blue);
        color: #FFF;
    }

.btn.btn-link.btn-green {
    border-radius: var(--border-radius);
    background-color: var(--color-lightergreen);
    color: var(--color-green);
}
    .btn.btn-link.btn-green:hover {
        color: #FFF;
        background-color: var(--color-green);
    }

.btn.btn-link.btn-yellow {
    border-radius: var(--border-radius);
    background-color: var(--color-lighteryellow);
    color: var(--color-yellow);
}
    .btn.btn-link.btn-yellow:hover {
        color: #FFF;
        background-color: var(--color-yellow);
    }

.btn.btn-link.btn-red {
    border-radius: var(--border-radius);
    background-color: var(--color-lightred);
    color: var(--color-red);
}

    .btn.btn-link.btn-red:hover {
        color: #FFF;
        background-color: var(--color-red);
    }

.btn-outline-secondary {
    border: 0;
}

.input-group-text {
    background-color: var(--color-lightgray);
    color: var(--color-darkgray);
    border:0;
}

.input-group-append {
    border: 0;
}

.input-group-append .btn-outline-secondary {
    background-color: var(--color-lightgray);
    
    color: var(--color-darkgray);
}

.btn-outline-secondary:not(:disabled):not(.disabled):active,
.btn-outline-secondary:not(:disabled):not(.disabled).active,
.show > .btn-outline-secondary.dropdown-toggle,
.btn-outline-secondary:not(:disabled):not(.disabled):active:focus,
.btn-outline-secondary:focus,
.btn-outline-secondary:hover {
    background-color: var(--color-lightgray);
    color: var(--color-blue);
    box-shadow: initial;
}

.action-button .btn {
    font-weight:600;
}

#btnCustomDtColVis .btn-info:not(.active) {
    background-color: #ddd;
    color: #3B9BD7;
}

.input-group > .input-group-append > .btn {
    margin-right:0px;
}


.selectcol-dropdown-menu {
}
.selectcol-dropdown-menu > span {

}
.selectcol-dropdown-menu > span.active {

}


.multiselect-native-select .btn-group {
    width:100%;
}

.multiselect-container {
    margin-top: -6px;
    padding: 10px 0;
    border-radius: var(--border-radius);
}

.multiselect-container li {
}
    .multiselect-container li a {
        width: 100%;
        font-size: 120%;
        padding: 10px 0;
        display: block;
    }

        .multiselect-container li a:hover, .multiselect-container li a:focus {
            color:#FFF;
        }

    .multiselect-container li a label {
        padding:0 10px;
    }
        .multiselect-container li a label input {
            padding-right:5px;
        }


.btn-group .dropdown-menu {
    margin-top: -6px;
    width: 100%;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    padding-top: 5px;
}

    .btn-group .dropdown-menu .btn-link {
        color: #FFF;
        padding: 10px;
        font-size: 135%;
    }

.btn-group .dropdown-item:hover, .dropdown-item:focus {
    color: #FFF;
    text-decoration: none;
    background-color: var(--color-darkerblue);
    border-radius:0;
}

/******* Custom Modal *******/
.modal-content {
    border-radius: var(--border-radius);
}
.modal-header {
    color: #FFF;
    background-color: var(--color-gray);
}
.modal-header .close {
    opacity: 1;
    text-shadow:none;
    font-size: 30px;
}
    .modal-header .close:not(:disabled):not(.disabled):hover, .modal-header .close:not(:disabled):not(.disabled):focus {
        opacity: 1;
        border: 0;
        box-shadow: none;
        outline: none;
    }
.modal-header .material-icons {
    color: #FFF;
    opacity: 1;
}

.modal-body {
    background-color: var(--color-lightgray);
    padding-bottom: 0;
    padding-top: 30px;
}

.modal-body label {
    color:var(--color-darkerblue);
}

.modal-footer {
    border: 0;
    justify-content: center;
}
    .modal-footer > span {
        margin-left: 40px;
        margin-right: 40px;
    }

/**** Ui dialog *****/
.ui-widget.ui-widget-content {
    border: 0;
    border-radius: var(--border-radius);
    padding:0;
}

.ui-widget-header {
    color: #FFF;
    background-color: var(--color-gray);
}

.ui-dialog .ui-dialog-titlebar-close {
    background-color: transparent;
    border: 0;
    opacity: 1;
    color: #FFF;
}
    .ui-dialog .ui-dialog-titlebar-close .material-icons {
        color: #FFF;
        opacity: 1;
    }

.ui-dialog-content.ui-widget-content {
    padding: 1.4em 1.2em;
}

    .ui-dialog-content.ui-widget-content h6 {
        margin-bottom: 0;
        color: var(--color-darkgray);
    }

.ui-dialog .ui-dialog-buttonpane .ui-dialog-buttonset {
    float: initial;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}


/******* Summernote *******/
.note-editor {
}

    .note-editor.note-frame, .note-editor.note-airframe {
        border: 1px solid var(--color-darkblue);
        border-radius: var(--border-radius);
    }

    .note-popover .popover-content, .note-editor .note-toolbar {
        padding-bottom:0;
    }

    .note-editor .note-toolbar {
        background: var(--color-lightergray);
        border-bottom: 1px solid var(--color-darkblue);
        border-top-left-radius: var(--border-radius);
        border-top-right-radius: var(--border-radius);
    }

    .note-editor .note-toolbar > .note-btn-group {
        margin-bottom: 0;
    }

.note-btn-group .note-btn {
    border: 0;
    background-color: var(--color-darkblue);
    color: #FFF;
    padding: 0.50rem;
}
    .note-btn-group.show .note-btn,  .note-btn-group .note-btn:hover, .note-btn-group .note-btn:not(:disabled):not(.disabled):active,
    .note-btn-group .note-btn:not(:disabled):not(.disabled):active:focus {
        background-color: var(--color-darkerblue);
        border: 0;
        color: #FFF;
        box-shadow: none;
    }



.note-popover .popover-content > .note-btn-group, .note-editor .note-toolbar > .note-btn-group {
    margin-top: 7px;
    margin-bottom: 7px;
}


.note-editor .dropdown-menu {
    background-color: var(--color-darkblue);
    color: #FFF;
    margin-top: -4px;
    border: 0;
    box-shadow: none;
}

    .note-editor .dropdown-menu a {
        color: #FFF;
        padding: 0.45rem 1.5rem;
    }

    .note-editor .dropdown-menu .dropdown-item:hover,
    .note-editor .dropdown-menu .dropdown-item:focus {
        background-color: var(--color-darkerblue);
        color: #FFF;
    }

.note-editor.note-frame .note-editing-area .note-editable {
    color: var(--color-darkergray);
}


.note-editor.note-frame .note-statusbar, .note-editor.note-airframe .note-statusbar {
    background-color: var(--color-darkblue);
    padding: 3px 0;
    border: 0;
}

    .note-editor.note-frame .note-statusbar .note-resizebar .note-icon-bar, .note-editor.note-airframe .note-statusbar .note-resizebar .note-icon-bar {
        width: 20px;
        margin: 2px auto;
        border-top: 1px solid #FFF;
    }


    /******* ToolTip *******/
    .tooltip-inner {
        text-align: left;
    }

/***** Datetime Picker Custom*/
.bootstrap-datetimepicker-widget {
    color:#FFF;
    background-color: var(--color-blue);
}

    .bootstrap-datetimepicker-widget.dropdown-menu.top:after {
        border-top: 6px solid var(--color-blue);
    }
    .bootstrap-datetimepicker-widget.dropdown-menu.bottom:after {
        border-bottom: 6px solid var(--color-blue);
    }

    .bootstrap-datetimepicker-widget td,
    .bootstrap-datetimepicker-widget th {
        color: #FFF;
        font-size: 14px;
        height: 24px;
    }
    .bootstrap-datetimepicker-widget table {
        border-bottom: 0;
    }

        .bootstrap-datetimepicker-widget table thead tr:first-child th:hover {
            color: #FFF;
            background-color: var(--color-lightblue);
        }

        .bootstrap-datetimepicker-widget thead tr:first-child th:hover,
        .bootstrap-datetimepicker-widget tfoot tr:first-child th:hover {
            background: var(--color-darkblue);
            color: #FFF
        }
    .bootstrap-datetimepicker-widget table tr td.day:hover {
        background: var(--color-darkblue);
        color: #FFF;
    }
    .bootstrap-datetimepicker-widget table tr td.active:active,
    .bootstrap-datetimepicker-widget table tr td.active:hover:active,
    .bootstrap-datetimepicker-widget table tr td.active.disabled:active,
    .bootstrap-datetimepicker-widget table tr td.active.disabled:hover:active,
    .bootstrap-datetimepicker-widget table tr td.active.active,
    .bootstrap-datetimepicker-widget table tr td.active:hover.active,
    .bootstrap-datetimepicker-widget table tr td.active.disabled.active,
    .bootstrap-datetimepicker-widget table tr td.active.disabled:hover.active {
        background: var(--color-darkblue);
        color: #FFF;
    }

    .bootstrap-datetimepicker-widget table td span.active {
        background: var(--color-darkblue);
        color: #FFF;
        text-shadow: none;
    }
    .bootstrap-datetimepicker-widget table td span:hover {
        background: var(--color-darkblue);
    }

    .bootstrap-datetimepicker-widget table td.day {
        height: 26px;
        line-height: 26px;
        width: 23px;
    }

.bootstrap-datetimepicker-widget tfoot {
    color: #FFF;
    background-color: var(--color-lightblue);
}


/******* Custom DropZone **************/
.dropzone {
    background-color: var(--color-lighterblue);
    border: 4px dashed var(--color-blue);
    color: var(--color-blue);
}



/******* Loader **************/
div.loader-container {
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
    top: 0;
    left: 0;
    z-index: 99999999;
}

    div.loader-container > div.text {
        position: fixed;
        width: 40%;
        /* height: 100%; */
        top: 50%;
        /* right: 50%; */
        left: 30%;
        /* margin-left: -50%; */
        /* margin-top: -50%; */
        margin-top: 55px;
        font-size: 22px;
        color: #fff;
        /* width: 100%; */
        /* height: 100%; */
        text-align: center;
    }

    div.loader-container #loader {
        display: initial;
    }


#loader {
    display: none;
    position: fixed;
    left: 50%;
    top: 50%;
    z-index: 99999999;
    width: 150px;
    height: 150px;
    margin: -75px 0 0 -75px;
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #3498db;
    width: 120px;
    height: 120px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}



/************** Data Table *************/
table, table.table {
    border: 0;
    color: var(--color-darkgray);
    border-spacing: 0;
    border-bottom: 10px solid var(--color-blue);
}

table.dataTable thead {
    border:0;
}

.table thead th {
    border-right: 2px solid #FFF;
    border-bottom: 0;
    background-color: var(--color-blue);
    color: #FFF;
    font-weight: 900;
    font-size: 110%;
    padding: 10px 0 10px 40px;
    vertical-align: middle;
}
.table thead th.sorting_disabled {
    padding-left: 10px;
}
.table thead th:last-of-type {
    border-right:0;
}

table.dataTable thead .sorting:before, table.dataTable thead .sorting_asc:before, table.dataTable thead .sorting_desc:before, table.dataTable thead .sorting_asc_disabled:before, table.dataTable thead .sorting_desc_disabled:before {
    left: 11px;
    bottom: auto;
    content: "\279E";
    font-size: 22px;
    color: #FFF;
    top: 10px;
    transform: rotate( -90deg );
    width: 10px;
    opacity: 1;
}

table.dataTable thead .sorting:after, table.dataTable thead .sorting_asc:after, table.dataTable thead .sorting_desc:after, table.dataTable thead .sorting_asc_disabled:after, table.dataTable thead .sorting_desc_disabled:after {
    left: 19px;
    bottom: auto;
    content: "\279E";
    font-size: 22px;
    color: #FFF;
    top: 4px;
    transform: rotate( 90deg );
    width: 10px;
    opacity: 1;
}

table.dataTable thead .sorting_asc:before, table.dataTable thead .sorting_desc:after {
    color: var(--color-darkerblue);
}

.table-striped tbody tr:nth-of-type(odd) {
    background-color:  #FFF;
}
.table-striped tbody tr:nth-of-type(even) {
    background-color: var(--color-lightergray);
}

table.dataTable.dtr-inline.collapsed > tbody > tr > td:first-child:before, table.dataTable.dtr-inline.collapsed > tbody > tr > th:first-child:before {
    /*top: 14px;*/
    top: calc(50% - 10px);
    left: 3px;
    height: 14px;
    width: 14px;
    display: block;
    position: absolute;
    color: white;
    border: 2px solid white;
    border-radius: 14px;
    box-shadow: 0 0 3px #444;
    box-sizing: content-box;
    text-align: center;
    font-family: 'Courier New', Courier, monospace;
    line-height: 15px;
    content: '+';
    background-color: var(--color-blue);
    padding-left: -4px;
}

table.dataTable.dtr-inline.collapsed > tbody > tr > td:first-child, table.dataTable.dtr-inline.collapsed > tbody > tr > th:first-child {
    padding-left: 32px;
}

.dataTables_wrapper .bottom, .color-datatable {
    color: var(--color-darkgray) !important;
}
    .color-datatable.row_visible_text {
        font-size:90%;
    }
    .color-datatable.row_visible_text span {
        font-weight:900;
        font-size: 95%;
    }

    .color-datatable.page-size {
        align-items: baseline;
    }
    .color-datatable.page-size span {
        font-size: 90%;
        margin-left: 50px;
        /* top: 20px; */
        margin-top: 19px;
        margin-right: 5px;
    }

    .color-datatable.page-size select {
        font-weight: 900;
        font-size: 95%;
    }

    .dataTables_info {
        width: auto;
        margin-left: 16px;
    }

div.dataTables_wrapper div.dataTables_paginate {
    margin-top: 10px !important;
    margin-right: 20px;
}

.dataTables_paginate > a.disabled, .dataTables_paginate > a.disabled:focus,
.dataTables_paginate > a.disabled:hover {
    color: #777;
    cursor: not-allowed;    
}



.dataTables_paginate a {
    padding: 6px 9px;
    background: var(--color-lightgray);
    border:0;

    margin-left: 3px;
    border-radius: var(--border-radius);
    color: var(--color-darkgray);
    cursor: pointer;
    font-size: 95%;
}

.paging_full_numbers a.paginate_active {
    background-color: var(--color-blue);
    color:#FFF;
}

.dataTables_paginate a.current, .dataTables_paginate a:hover {
    color: #FFF !important;
    background-color: var(--color-blue);
}
.dataTables_paginate .previous {
    border-radius: var(--border-radius);
    margin-right: 15px;
    padding: 6px 0px 6px 9px;
    text-align: center;
}
.dataTables_paginate .next {
    border-radius: var(--border-radius);
    margin-left: 15px;
    padding: 6px 2px 6px 3px;
    text-align: center;
}


    .dataTables_paginate .previous span, .dataTables_paginate .next span {
        vertical-align: bottom;
    }

.dataTables_length {
    margin-top: -3px;
}
div.dt-buttons {
    margin-top:5px;
    display:table;
}

.table thead tr {
    border-collapse: unset;
}



table.table tr.table-success {
    background-color: #DFF0D8;
}
table.table tr.table-primary {
    background-color: #26B99A;
    color:#FFF;
}
table.table tr.table-danger {
    color: var(--color-red);
    background-color: var(--color-lightred);
}

table.table tr.table-warning {
    color: var(--color-yellow);
    background-color: var(--color-lighteryellow);
}

table.table tr:not(.table-danger):not(.table-warnign):hover {
    background-color: var(--color-lighterblue);
}

table.table-clickrow tbody tr {
    cursor: pointer;
}
    table.table-clickrow tbody tr td.no_redirect_cell {
        cursor: auto;
    }

table.table-clickrow tbody tr:hover {
    background-color:#DFF0D8;
    
}

.table th, .table td {
    border: 0;
    vertical-align: middle;
}


.custom-filter {

}
    .custom-filter .no-label {
        margin-top:18px;
    }

.custom-filter .label {
    color: var(--color-darkgray);
    font-size:90%;
}
    .custom-filter .label span {
        font-size: 17px;
        vertical-align: text-bottom;
    }
    .custom-filter .control {
    }

    .custom-filter .form-control {
        font-weight: 600;
        color: var(--color-darkgray);
        background-color: var(--color-lightgray);
        border: 0;
    }
        .custom-filter .form-control:focus {
            border: 0;
        }
        .custom-filter .form-control::placeholder, .custom-filter .form-control::-webkit-input-placeholder,
        .custom-filter .form-control::-moz-placeholder, .custom-filter .form-control:-ms-input-placeholder,
        .custom-filter .form-control:-moz-placeholder {
            font-weight: 600 !important;
        }


/************* Autocomplete ************/
.autocomplete-suggestion {
    font-size: 1.1em;
}
.autocomplete-suggestion span.address {
    font-size: 0.85em;
    font-style: italic;
}


/********** Modal full screen  ************/
.modal_custom_fullscreen {
    min-width: 98%;
    height: 98%;
    width: 98%;
    margin: 1%;
    padding: 0px !important;
    
}

    .modal_custom_fullscreen .modal-dialog {
        height:100%;
    }

    .modal_custom_fullscreen .modal-content {
        /*min-height: 100vh;*/
        /*background-color: #fff265;*/
        height: 100%;
        border: 0px;
        /*border-radius: 0;*/
    }

    .modal_custom_fullscreen .modal-dialog {
        min-width: 100%;
        margin: 0;
    }


/************ Manage Parameter Admin *********/
body.dragging, body.dragging * {
    cursor: move !important;
}

div.list-manage-param {
}

    div.list-manage-param > div.title {
        color: #01509d;
        font-size: 13pt;
        font-style: italic;
    }

div.order-list {
    float: left;
}

div.unsigned-list {
    float: right;
}

div.list-manage-param ol {
    list-style: none;
}

div.list-manage-param li:first-of-type {
    margin-top: 5px;
}

div.list-manage-param li {
    font-size: 10pt;
    cursor: pointer;
    margin-bottom: 5px;
    box-sizing: border-box;
    padding: 0.5em 0.75em;
    border: 1px solid #ddd;
    border-radius: 6px;
    box-shadow: 0 0 0.7em rgba(0,0,0,0.0625);
    background: #fff;
}

    div.list-manage-param li i {
        margin-right: 5px;
    }

        div.list-manage-param li i.last {
            float: right;
        }

        div.list-manage-param li i.blue {
            color: #01509d;
        }

        div.list-manage-param li i.link {
            cursor: pointer;
        }

div.Form i.green {
    color: green;
}

div.Form i.red {
    color: red;
}


.dragged {
    position: absolute;
    opacity: 0.5;
    z-index: 2000;
    background-color: #01509d;
}

ol#schede_list li.placeholder {
    position: relative;
    /** More li styles **/
}

    ol#schede_list li.placeholder:before {
        position: absolute;
        /** Define arrowhead **/
    }

.x_panel.error {
    background-color:rgba(231, 76, 60, 0.88);
    color:#fff;
}



/************** Custom Acccordion *********/
.custom-accordion h3.panel-title {
    font-size: 18px;
}

    .custom-accordion .panel-body {s
        font-size: 15px;
    }

.custom-accordion .panel:hover {
    background-color: initial;
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .2);
    box-shadow: 0 1px 1px rgba(0, 0, 0, .2);
}


/********** Over text in input file **********/
.block-fileinput {
    position: relative;
    margin: 0;
    padding: 0;
    display: block;
}

    .block-fileinput .file-input-over-text {
        /*position: absolute;
    top:7px;
    left:7px;*/
    }

    .block-fileinput input[type="file"] {
        display: none;
    }

/************ Hide e show element ************/

.hideshow-element {
    display: block;
    transition: opacity 0.15s linear;
    overflow: hidden;
}

.hide-element {
    display: none;
}



/* Componenti */
.panel_componente_materiale .materiale-list {
}

    .panel_componente_materiale .materiale-list h3 {
        color: var(--color-gray);
        font-weight: 600;
        font-size: 190%;
    }

.panel_componente_materiale .MATERIALE_CHOOSE_MATERIALE {
    background-color: var(--color-blue);
    color:#FFF;
}
    .panel_componente_materiale .MATERIALE_CHOOSE_MATERIALE:focus:not([readonly]) {
        box-shadow: none;
        background-color: var(--color-blue);
        border: 1px solid var(--color-darkblue);
    }

.panel_componente_materiale #row_materiale_somma {
    background-color: var(--color-lighterblue);
    padding: 20px 0;
    margin-bottom: -10px;
    border-bottom-left-radius: var(--border-radius);
    border-bottom-right-radius: var(--border-radius);
    color: var(--color-darkblue);
}

    .panel_componente_materiale #row_materiale_somma h3 {
        color: var(--color-darkerblue);
        font-weight: 600;
        font-size: 190%;
    }

    .panel_componente_materiale #row_materiale_somma .tot {
        font-size: 280%;
        font-weight: 800;
    }

@media (min-width: 700px) {
    .panel_componente_materiale #row_materiale_somma .tot {
       padding-right: 40px;
    }
}

.panel_componente_manodopera .manodopera-list {
}

    .panel_componente_manodopera .manodopera-list h3 {
        color: var(--color-gray);
        font-weight: 600;
        font-size: 190%;
    }

.panel_componente_manodopera #row_manodopera_somma {
    background-color: var(--color-lighterblue);
    padding: 20px 0;
    margin-bottom: -10px;
    border-bottom-left-radius: var(--border-radius);
    border-bottom-right-radius: var(--border-radius);
    color: var(--color-darkblue);
}

    .panel_componente_manodopera #row_manodopera_somma h3 {
        color: var(--color-darkerblue);
        font-weight: 600;
        font-size: 190%;
    }

    .panel_componente_manodopera #row_manodopera_somma .tot {
        font-size: 280%;
        font-weight:800;
    }

@media (min-width: 700px) {
    .panel_componente_manodopera #row_manodopera_somma .tot {
        padding-right: 40px;
    }
}


/* Custom Choosen Element */
.chosen-container {
    background-color: var(--color-lighterblue);
    border-radius: var(--border-radius);
}

    .chosen-container .chosen-choices {
        -webkit-box-shadow: none;
        border: 0;
        box-shadow: none;
        background-color: var(--color-lighterblue);
        background-image: none;
        border-radius: var(--border-radius);
    }

.chosen-container-multi .chosen-choices li.search-choice {
    margin: 10px 10px 11px 0;
    padding: 3px 30px 3px 5px;
    border: 0;
    border-radius: var(--border-radius);
    background-color: var(--color-blue);
    background-image: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    color: #FFF;
    line-height: 20px;
    cursor: default;
    /*font-size: 21px;*/
}

    .chosen-container-multi .chosen-choices li.search-choice .search-choice-close {
        display: block;
        width: 20px;
        height: 20px;
        background: none;
    }
        .chosen-container-multi .chosen-choices li.search-choice .search-choice-close:before {
            position: absolute;
            top: -1px;
            right: 0;
            display: block;
            width: 15px;
            height: 15px;
            /* background: url(chosen-sprite.png) -42px 1px no-repeat; */
            font-size: 1px;
            color: #FFF;
            content: 'X';
            font-weight: 700;
            font-size: 15px;
        }



.chosen-container-multi .chosen-choices li.search-field input[type="text"] {
    height: 100%;
    border: 0 !important;
    color: var(--color-darkerblue);
    font-size: 16px;
    margin: 10px 10px 11px 0;
    padding: 0 0.75rem;
}


.chosen-container-single .chosen-single {
    margin:6px 10px ;
    padding: 0 0.75rem;
    border: 0;
    border-radius: var(--border-radius);
    /*background-color: var(--color-blue);*/
    background-image: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    color: var(--color-blue);
    line-height: 20px;
    cursor: default;
    font-size: 1rem;
}

.chosen-container-single .chosen-single .search-choice-close {
    display: block;
    width: 20px;
    height: 20px;
    background: none;
}

    .chosen-container-single .chosen-single .search-choice-close:before {
        position: absolute;
        top: -1px;
        right: 0;
        display: block;
        width: 15px;
        height: 15px;
        /* background: url(chosen-sprite.png) -42px 1px no-repeat; */
        font-size: 1px;
        color: #FFF;
        content: 'X';
        font-weight: 700;
        font-size: 15px;
    }


.chosen-container-single .chosen-single li.search-field input[type="text"] {
    height: 100%;
    border: 0 !important;
    color: var(--color-darkerblue);
    font-size: 20px;
    margin: 10px 10px 11px 0;
}



.chosen-container-active .chosen-choices li.search-field input[type="text"] {
    color: var(--color-darkerblue) !important;
}

.chosen-container .chosen-drop {
    border: 0;
    background-color: var(--color-lighterblue);
    -webkit-box-shadow: none;
    box-shadow: none;    
}

.chosen-container .chosen-results li {
    padding: 5px 6px;
    line-height: 18px;
    font-size: 16px;
    color: var(--color-darkblue);    
}

    .chosen-container .chosen-results li.highlighted {
        background-color: var(--color-darkerblue);
        background-image: none;
    }
.chosen-container-active.chosen-with-drop {
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}
.chosen-container-active.chosen-with-drop .chosen-single {
    border: 0;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    background-image: none;
    background-image: none;
    -webkit-box-shadow: none;
    box-shadow: none;
}


/*Preventivo Composizione - Scelta Elementi Settori*/
div.elecomp-settanagr-block {
}

div.elecomp-settanagr-block {
    font-size: 10pt;
    cursor: pointer;
    margin-bottom: 5px;
    box-sizing: border-box;
    padding: 0.5em 0.75em;
    border: 1px solid #ddd;
    border-radius: 6px;
    box-shadow: 0 0 0.7em rgba(0,0,0,0.06);
    background: #fff;
}

    div.elecomp-settanagr-block > div.child-elem {
        padding-left:20px;
    }

    div.elecomp-settanagr-block input.like-label {
        border: 0;
        padding: 0;
        margin: 0;
        width: 100px;
    }

div.elecomp-settanagr-block.not-to-add {
    background-color:#ddd;
    color:rgba(0, 0, 0, .3);
}

    div.elecomp-settanagr-block.not-to-add input.like-label {
        background-color: #ddd;
        color: rgba(0, 0, 0, .3);
    }


    /**** List Tavole ****/
.uploadtavole-block {
    border-bottom: 25px solid var(--color-lightblue);
    margin-top: 10px;
}

/**** List Docuemtni vari ****/
.uploaddocumentivari-block {
    border-bottom: 25px solid var(--color-lightblue);
    margin-top: 10px;
    padding-bottom:10px;
}

/************ Tavole - Scegli Elmento Composizione List *******/


.list-tavola-elemComp {
    list-style: none;
    padding-left: 0;
}
.list-tavola-elemComp ol {
    list-style: none;
}
    .list-tavola-elemComp li:first-of-type {
        margin-top: 5px;
    }

    .list-tavola-elemComp li {
        font-size: 10pt;
        cursor: pointer;
        margin-bottom: 5px;
        box-sizing: border-box;
        padding: 0.5em 0.75em;
        border: 1px solid #ddd;
        border-radius: 6px;
        box-shadow: 0 0 0.7em rgba(0,0,0,0.0625);
        background: #fff;
    }

        .list-tavola-elemComp li i {
            margin-right: 5px;
        }


.list-tavola-elemComp input.like-label {
    border: 0;
    padding: 0;
    margin: 0;
    width: 100px;
}


            .list-tavola-elemComp li i.last {
                float: right;
            }

            .list-tavola-elemComp li i.blue {
                color: #01509d;
            }

            .list-tavola-elemComp li i.link {
                cursor: pointer;
            }

        .list-tavola-elemComp li .full-container {
            width: 100%;
            height: 100%;
            position: relative;
        }

/************ Tavole - Scegli Elmento Composizione List *******/
.list-stanzecomp-elemComp {
    list-style: none;
    padding-left: 0;
}

    .list-stanzecomp-elemComp ol {
        list-style: none;
    }

    .list-stanzecomp-elemComp li:first-of-type {
        margin-top: 5px;
    }

    .list-stanzecomp-elemComp li {
        font-size: 10pt;
        cursor: pointer;
        margin-bottom: 5px;
        box-sizing: border-box;
        padding: 0.5em 0.75em;
        border: 1px solid #ddd;
        border-radius: 6px;
        box-shadow: 0 0 0.7em rgba(0,0,0,0.0625);
        background: #fff;
    }

        .list-stanzecomp-elemComp li i {
            margin-right: 5px;
        }


    .list-stanzecomp-elemComp input.like-label {
        border: 0;
        padding: 0;
        margin: 0;
        width: 100px;
    }


    .list-stanzecomp-elemComp li i.last {
        float: right;
    }

    .list-stanzecomp-elemComp li i.blue {
        color: #01509d;
    }

    .list-stanzecomp-elemComp li i.link {
        cursor: pointer;
    }

    .list-stanzecomp-elemComp li .full-container {
        width: 100%;
        height: 100%;
        position: relative;
    }


#ModalDrawTavole_AlertHeader .x_panel {
    background-color:transparent !important;
    padding:0;
    border:0;
    margin:0;
}

#ModalDrawTavole_AlertHeader .x_panel .x_title {
    padding: 0;
    margin: 0;
    height:0px;
}
    #ModalDrawTavole_AlertHeader .x_panel .x_content {
        padding: 0;
        margin: 0;
    }

/************ Riepilogo prezzi ************/
.list-riepilogoprezzi {
    list-style:none;
    margin:0;
    padding-left:0;
}

    .list-riepilogoprezzi > li ol {
       
    }
.list-riepilogoprezzi ol {
    list-style:none;
    padding-left:0;
}

    .list-riepilogoprezzi div.header-row {
        font-size: 120%;
        margin-bottom: 20px;

    }

    .list-riepilogoprezzi .col-prizenumber {
        width: 350px;
    }

    .list-riepilogoprezzi .col-riepilogoprezzi-prezzo-header {
        width: 350px;
        /* width: 350px;
        float: left;*/
    }
    .list-riepilogoprezzi .col-riepilogoprezzi-prezzo-maggiorato-header {
        width: 350px;
        /* width: 350px;
        float: left;*/
    }

.list-riepilogoprezzi .col-riepilogoprezzi-title {
    color:var(--color-darkgray);
}

    .list-riepilogoprezzi .col-riepilogoprezzi-prezzo {
        color: var(--color-darkgray);
        font-weight: 600;
        font-size: 140%;
        /*padding-left:40px;*/

        width: 350px;
        /* width:350px;
        float:left;*/
    }

    .list-riepilogoprezzi .col-riepilogoprezzi-prezzo-maggiorato {
        color: var(--color-darkgray);
        font-weight: 600;
        font-size: 140%;

        width: 350px;
        /*padding-left: 40px;*/
        /*  width: 350px;
        float: left;*/
    }


    .list-riepilogoprezzi > li > ol {
        margin-left: 0;
        padding-left: 0;
    }

        .list-riepilogoprezzi > li > ol > li > div .col-riepilogoprezzi-prezzo,
        .list-riepilogoprezzi > li > ol > li > div .col-riepilogoprezzi-prezzo-maggiorato {
            padding-left: 15px;
        }


.list-riepilogoprezzi-subelem div {
    position: relative;
}

    .list-riepilogoprezzi-subelem div.row {
        padding-top:10px;
        padding-bottom:10px;
    }

    .list-riepilogoprezzi-subelem div.row:hover {
        background-color: var(--color-lighterblue);
    }

.list-riepilogoprezzi-subelem .material-icons {
    font-size: 22px;
    cursor: pointer;
    vertical-align: middle;
}

.list-riepilogoprezzi-subelem li:not([data-level="0"]) {
    position:relative;
}

.list-riepilogoprezzi-subelem li:not([data-level="0"]):before {
    content: '';
    position: absolute;
    width: 1px;
    height: calc(100% + 20px);
    top: -10px;
    left: calc(10px + var(--padding-left-custom) - 40px);
    background-color: var(--color-blue);
}
    .list-riepilogoprezzi-subelem li:not([data-level="0"]) > div:before {
        content: '';
        position: absolute;
        width: 18px;
        height: 1px;
        top: 34%;
        left: calc(10px + var(--padding-left-custom) - 30px);
        background-color: var(--color-blue);
    }

/*.list-riepilogoprezzi-subelem li:not([data-level="0"]) > div > div:before {
    content: '';
    position: absolute;
    width: 1px;
    height: calc(100% + 20px);
    top: -10px;
    left: -20px;
    background-color: var(--color-blue);
}

.list-riepilogoprezzi-subelem li:not([data-level="0"]) > div > div.col-riepilogoprezzi-prezzo:before {
    left: 0px;
}
.list-riepilogoprezzi-subelem li:not([data-level="0"]) > div > div.col-riepilogoprezzi-prezzo-maggiorato:before {
    left: 10px;
}

.list-riepilogoprezzi-subelem li:not([data-level="0"]) > div > div:after {
    content: '';
    position: absolute;
    width: 25px;
    height: 1px;
    top: 34%;
    left: -20px;
    background-color: var(--color-blue);
}

.list-riepilogoprezzi-subelem li:not([data-level="0"]) > div > div.col-riepilogoprezzi-prezzo:after {
    left: 0;
    top: 52%;
    width: 30px;
}

.list-riepilogoprezzi-subelem li:not([data-level="0"]) > div > div.col-riepilogoprezzi-prezzo-maggiorato:after {
    left: 10px;
    top:52%;
    width: 20px;
}*/
.list-riepilogoprezzi-totale .col {
    padding-right: 70px;
    color: var(--color-darkgray);
    font-size: 120%;
}
.list-riepilogoprezzi-totale .col-prizenumber {
    color: var(--color-darkgray);
    font-weight: 600;
    font-size: 140%;
}

.x_panel_preventivo_riepilogoprezzi .row-somma {
    background-color: var(--color-lighterblue);
    padding: 20px 0;
    margin-bottom: -10px;
    border-bottom-left-radius: var(--border-radius);
    border-bottom-right-radius: var(--border-radius);
    color: var(--color-darkblue);
}

.x_panel_preventivo_riepilogoprezzi .field-somma {
    width:350px;
}

.x_panel_preventivo_riepilogoprezzi .row-somma .tot {
    padding-right: 70px;
    color: var(--color-darkerblue);
    font-size: 280%;
    font-weight: 800;
}
    .x_panel_preventivo_riepilogoprezzi .row-somma h3 {
        color: var(--color-darkerblue);
        font-weight: 600;
        font-size: 190%;
    }
  

/************ Footer ************/
p.copyright-signin a {
    margin-right: 0px !important;
}

img.icon-copyright {
    margin-right: 5px;
    height: 13px;
    margin-top: -3px;
}